Hello,

can you please update branch gtk3-port?

I got a error about uncompatibility between newest gegl from git and
gtk3-port of gimp during the compilation:

CC       gimplayer.lo
gimplayer.c: In function ‘gimp_layer_new_from_surface’:
gimplayer.c:290:43: error: incompatible type for argument 3 of
‘gegl_buffer_copy’
       gegl_buffer_copy (src_buffer, NULL, dest_buffer, NULL);
                                           ^
In file included from /usr/include/gegl-0.3/gegl.h:30:0,
                 from gimp.h:25,
                 from gimplayer.c:27:
/usr/include/gegl-0.3/gegl-buffer.h:372:17: note: expected
‘GeglAbyssPolicy {aka enum <anonymous>}’ but argument is of type
‘GeglBuffer * {aka struct _GeglBuffer *}’
 void            gegl_buffer_copy              (GeglBuffer          *src,
                 ^
gimplayer.c:290:7: error: too few arguments to function ‘gegl_buffer_copy’
       gegl_buffer_copy (src_buffer, NULL, dest_buffer, NULL);
       ^
In file included from /usr/include/gegl-0.3/gegl.h:30:0,
                 from gimp.h:25,
                 from gimplayer.c:27:
/usr/include/gegl-0.3/gegl-buffer.h:372:17: note: declared here
 void            gegl_buffer_copy              (GeglBuffer          *src,
                 ^
Makefile:1202: recipe for target 'gimplayer.lo' failed
make[2]: *** [gimplayer.lo] Error 1


Thank you.

Best regards,
Jiri
_______________________________________________
gimp-developer-list mailing list
List address:    gimp-developer-list@gnome.org
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list

Reply via email to